Package org.codehaus.groovy.vmplugin.v10

# Class Java10

java.lang.Object
org.codehaus.groovy.vmplugin.v8.Java8
org.codehaus.groovy.vmplugin.v9.Java9
org.codehaus.groovy.vmplugin.v10.Java10

All Implemented Interfaces:
  `VMPlugin`

Direct Known Subclasses:
  `Java16`

public class Java10 extends Java9

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.vmplugin.v8.Java8

  `elementTypeToTarget`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Java10()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>[]`
  `getPluginDefaultGroovyMethods()`
  `int`
  `getVersion()`
  Gives the version the plugin is made for

  ### Methods inherited from class org.codehaus.groovy.vmplugin.v9.Java9

  `checkAccessible, checkCanSetAccessible, getDefaultImportClasses, getLookupConstructor, getPrivateLookup, newLookup, transformMetaMethod, trySetAccessible`

  ### Methods inherited from class org.codehaus.groovy.vmplugin.v8.Java8

  `configureAnnotation, configureAnnotationNodeFromDefinition, configureClassNode, configureTypeVariableDefinition, configureTypeVariableReference, doPrivileged, doPrivileged, fillParameterNames, getInvokeSpecialHandle, getPluginStaticGroovyMethods, getValue, invalidateCallSites, invokeHandle, makeClassNode, makeRecordComponents, of, setAdditionalClassInformation, toAnnotationNode, transformMetaMethod`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.vmplugin.VMPlugin

  `getRecordComponentNames`

- ## Constructor Details

  - ### Java10

    public Java10()

- ## Method Details

  - ### getVersion

    public int getVersion()
    Description copied from interface: `VMPlugin`
    Gives the version the plugin is made for
    Specified by:
      `getVersion` in interface `VMPlugin`
    Overrides:
      `getVersion` in class `Java9`
    Returns:
      7 for jdk7, 8 for jdk8, 9 for jdk9 or higher

  - ### getPluginDefaultGroovyMethods

    public Class<?>[] getPluginDefaultGroovyMethods()
    Specified by:
      `getPluginDefaultGroovyMethods` in interface `VMPlugin`
    Overrides:
      `getPluginDefaultGroovyMethods` in class `Java9`